
if not Global.level_data then return end
if Global.level_data.level_id ~= "branchbank_russia" then return end

Hooks:PostHook(AssetsTweakData, "_init_risk_assets", "russia_police_assets", function(self, tweak_data)
	
	table.insert(self.risk_pd.exclude_stages, "branchbank_russia")
	table.insert(self.risk_swat.exclude_stages, "branchbank_russia")
	table.insert(self.risk_fbi.exclude_stages, "branchbank_russia")
	table.insert(self.risk_death_squad.exclude_stages, "branchbank_russia")
	table.insert(self.risk_easy_wish.exclude_stages, "branchbank_russia")
	table.insert(self.risk_death_wish.exclude_stages, "branchbank_russia")
	table.insert(self.risk_sm_wish.exclude_stages, "branchbank_russia")
	
	self.russia_police = {
		name_id = "menu_asset_russia_police",
		texture = "guis/dlcs/mad/textures/pd2/mission_briefing/assets/mad_russian_merc",
		stages = {"branchbank_russia"}
	}
	
end)

Hooks:PostHook(AssetsTweakData, "_init_assets", "russia_assets", function(self, tweak_data)
	
	self.russia_keys = {
		name_id = "menu_asset_russia_keys",
		texture = "guis/russia_keys",
		stages = {"branchbank_russia"},
		visible_if_locked = true,
		unlock_desc_id = "menu_asset_russia_keys_desc",
		no_mystery = true,
		money_lock = tweak_data:get_value("money_manager", "mission_asset_cost_medium", 3)
	}
	
end)
